org.apache.lucene.search

## Class MultiCollectorManager.Collectors

- java.lang.Object
- - org.apache.lucene.search.MultiCollectorManager.Collectors

- All Implemented Interfaces:
    Collector
  Enclosing class:
    MultiCollectorManager

      public class MultiCollectorManager.Collectors
      extends Object
      implements Collector

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `MultiCollectorManager.Collectors.LeafCollectors`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LeafCollector` | `getLeafCollector(LeafReaderContext context)` Create a new `collector` to collect the given context.
    `boolean` | `needsScores()` Indicates if document scores are needed by this collector.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getLeafCollector

          public final LeafCollector getLeafCollector(LeafReaderContext context)
                                               throws IOException

      Description copied from interface: `Collector`
      Create a new `collector` to collect the given context.
      Specified by:
        `getLeafCollector` in interface `Collector`
      Parameters:
        `context` - next atomic reader context
      Throws:
        `IOException`

    - #### needsScores

          public final boolean needsScores()

      Description copied from interface: `Collector`
      Indicates if document scores are needed by this collector.
      Specified by:
        `needsScores` in interface `Collector`
      Returns:
        `true` if scores are needed.

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.